//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace StockManagementApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class Produit
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Produit()
        {
            this.Produit_Achat = new HashSet<Produit_Achat>();
        }
    
        public int Id { get; set; }
        public int Categorie_Id { get; set; }
        public string Nom { get; set; }
        public decimal Prix_Unitaire { get; set; }
        public byte[] Poduit_Image { get; set; }
        public int Nombre { get; set; }
        public System.DateTime Date_Expiration { get; set; }
        public System.DateTime Date_Creation { get; set; }
    
        public virtual Categorie Categorie { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Produit_Achat> Produit_Achat { get; set; }
    }
}
